Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.ga.functions
Class ProportionalSelection

    java.lang.Object
      org.biojavax.ga.functions.ProportionalSelection

All Implemented Interfaces:
  SelectionFunction

    public class ProportionalSelection

extends Object
implements SelectionFunction

A Selection function that determines the proportion of individuals in a new population proportionally to their fitness. The population size is not allowed to grow. Individuals are randomly selected for replication, those with greater fitness tend to replicate more often.

Version:
  1.1
Author:
  Mark Schreiber, Susanne Merz, Andreas Dräger

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.ga.functions.SelectionFunction
`SelectionFunction.SelectAll, SelectionFunction.Threshold`

Field Summary

Fields inherited from interface org.biojavax.ga.functions.SelectionFunction
`DEFAULT`

Constructor Summary
`ProportionalSelection()`

Method Summary
`Population` | `select(Population pop, GeneticAlgorithm genAlg)` Selects a `Population` of `Organisms` for replication based on their fitness.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProportionalSelection

    public ProportionalSelection()

Method Detail

### select

    public Population select(Population pop,
                             GeneticAlgorithm genAlg)
                      throws ChangeVetoException

  Description copied from interface: `SelectionFunction`
  Selects a `Population` of `Organisms` for replication based on their fitness.

  Specified by:
    `select` in interface `SelectionFunction`
  Parameters:
    `pop` - the `Population` to select from.
    `genAlg` - the parent `GeneticAlgorithm`.
  Returns:
    the `Organism`s selected
  Throws:
    `ChangeVetoException` - if the function attempts to change the population and it is vetoed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD